<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $marca = $_POST['marca'];
    $modelo = $_POST['modelo'];
    $des_vid = $_POST['des_vid'];
    $select=$pdo_sgt->prepare("SELECT * FROM tb_videos WHERE modelo=:modelo");
    $select->bindValue(":modelo",$modelo);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['modelo'] == $modelo){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este modelo já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "INSERT INTO tb_videos (marca,modelo,des_vid) VALUES (:marca,:modelo,:des_vid)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":marca",$marca);
        $query->bindValue(":modelo",$modelo);
        $query->bindValue(":des_vid",$des_vid);
        $query->execute();
        $mensagem = "Dados inseridos na tabela: tb_videos - Para os campos: marca, modelo, des_vid - Com os seguintes valores: $marca, $modelo, $des_vid.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_vid.php';
        </script>";
    }	
?>